com.buschmais.jqassistant.plugin.facelet.api.model

## Interface JsfFaceletDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, JsfDescriptor

      @Label(value="Facelet")
      public interface JsfFaceletDescriptor
      extends JsfDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor

  Representing a JSF template file in the jqassistant store.
  Author:
    peter.herklotz@buschmais.com

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<JsfFaceletDescriptor>` | `getIncludes()` Included JSF Templates.
    `JsfFaceletDescriptor` | `getTemplate()` If the current `JsfFaceletDescriptor` links to a template it can requested with this method.
    `void` | `setIncludes(Set<JsfFaceletDescriptor> includes)` Sets a set of included files.
    `void` | `setTemplate(JsfFaceletDescriptor template)` Sets a Template Descriptor.

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

- - ### Method Detail

    - #### getIncludes

          @Relation(value="INCLUDES")
          Set<JsfFaceletDescriptor> getIncludes()

      Included JSF Templates.
      Returns:
        a Set of `JsfFaceletDescriptor` that are included in the current template.

    - #### setIncludes

          void setIncludes(Set<JsfFaceletDescriptor> includes)

      Sets a set of included files.
      Parameters:
        `includes` - the descriptors of the files.

    - #### getTemplate

          @Relation(value="WITH_TEMPLATE")
          JsfFaceletDescriptor getTemplate()

      If the current `JsfFaceletDescriptor` links to a template it can requested with this method.
      Returns:
        the `JsfFaceletDescriptor` of the Template or `null`

    - #### setTemplate

          void setTemplate(JsfFaceletDescriptor template)

      Sets a Template Descriptor.
      Parameters:
        `template` - the `JsfFaceletDescriptor`

Copyright © 2015 buschmais GbR. All rights reserved.